config/routes.rb
Rails.application.routes.draw do
  
  devise_for :users

##############################################################################



  #####################
  #####################
  ##   APPLICATION   ##
  #####################
  #####################

  get 'ping' => 'table_tennis#ping'
  get 'ping_api' => 'table_tennis#ping_api'

  get 'help' => 'help#index'

  
  ################
  #   Accueils   #
  ################
  root "home#index"
  get "home", to: "home#index"
  get "admin", to: "home#admin"


  ###################
  #   Maintenances  #
  ###################
  resources :maintenance_ressources
  resources :maintenances
  get "grille_maintenances", to: "maintenances#grille"

  
  #############
  #   Tools   #
  #############
  get "tools", to: "tools#index"
  get "check_days", to: "tools#check_days"
  get "check_users", to: "tools#check_users"
  get "check_admins", to: "tools#check_admins"
  get "backup_db", to: "tools#backup_db"
  get "exports", to: "tools#exports"
  get "download_backup", to: "tools#download_backup"
  get "statistics", to: "tools#statistics"

  get "calculate", to: "tools#calculate"


  ####################
  #   Configuration  #
  ####################
  resources :konfigurations, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ##############
  #   Ajouts   #
  ##############
  resources :ajouts, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  get "ajouts/:id/valider", to: "ajouts#valider"
  get "ajouts/:id/dupliquer", to: "ajouts#dupliquer"
  get "ajouts/:id/modification", to: "ajouts#modification"


  ################
  #   Template   #
  ################
  resources :templates, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  

  ##############
  #   Groupes  #
  ##############
  resources :groupes, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ##############
  #   Classes  #
  ##############
  resources :classes, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ###############
  #   Services  #
  ###############
  resources :services, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ###############
  #   messages  #
  ###############
  resources :messages, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ###########
  #  Lieux  #
  ###########
  resources :lieus, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ##################
  #  Bug Repports  #
  ##################
  resources :bug_repports, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ###################
  #  Blog Messages  #
  ###################
  resources :blog_messages, only: [ :show, :index, :new, :edit, :create, :update, :destroy]
  resources :blog_responses, only: [ :new, :edit, :create, :update, :destroy ]
  resources :reviewcats, only: [ :show, :index, :new, :edit, :create, :update, :destroy]
  get "blog_message_export_pdf", to: "export#blog_message_export_pdf"
  get "review_blog_message", to: "blog_messages#review"

  ################
  #  Wiki Pages  #
  ################
  resources :wiki_pages, only: [ :show, :index, :new, :edit, :create, :update, :destroy]

  #############
  #  Postits  #
  #############
  resources :postits, only: [ :show, :index, :new, :edit, :create, :update, :destroy]
  get "take_it", to: "postits#take_it"
  get "done", to: "postits#done"

  #####################
  #  Blog Categories  #
  #####################
  resources :blog_categories, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ###################
  #   Utilisateurs  #
  ###################
  resources :utilisateurs, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  #######################
  #  Absences & Congés  #
  #######################
  resources :absences, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  get "grille", to: "absences#grille"
  get "not_yet_validated_absences", to: "absences#not_yet_validated"
  get "validated_absences", to: "absences#validated"
  get "remove_one_day", to: "absences#remove_one_day"


  ################
  #  Fermetures  #
  ################
  resources :fermetures, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ############
  #  Events  #
  ############
  resources :events, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  ##########
  #  Logs  #
  ##########
  resources :logs, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  resources :log_repports, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]

  
  #####################
  #   Types Absences  #
  #####################
  resources :type_absences, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  

  ############
  #   Jours  #
  ############
  resources :jours, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  get "today", to: "jours#specific_day"
  get "week", to: "jours#specific_week"
  get "month", to: "jours#specific_month"
  get "secr_pet", to: "jours#secr_pet"
  get "ical_export_ics", to: "export#ical_export_ics"


  ###################
  #   WorkingLists  #
  ###################
  resources :working_lists, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  

  ############
  #   Works  #
  ############
  resources :works, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  

  ############
  #   Tasks  #
  ############
  resources :tasks, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]


  #############
  #   Hebdos  #
  #############
  resources :hebdos, only: [ :show, :index, :new, :edit, :create, :update, :destroy ]
  get "grille_hebdos", to: "hebdos#grille"


  ###################
  #   Productions   #
  ###################
  resources :productions
  resources :prod_units
  resources :prod_destinations
  resources :traceurs


  
  ######## TESTS
  get "show.pdf", to: "export#show"
  get "test", to: "test#index"


  ########## Export DB
  #get "exports", to: "export#index"
  get "logbook_articles_json", to: "export#logbook_articles_json"

end

app/controllers/tools_controller.rb
class ToolsController < ApplicationController
    before_action :check_logged_in
    before_action :read_konfig, only: [:backup_db]

    # ACCUEIL
    def index
        log(request.path)
    end


    ###########
    # EXPORTS #
    ###########
    def exports
    end


    #############
    # CALCULATE #
    #############
    def calculate
    end


    ##############
    # CHECK DAYS #
    ##############
    def check_days
        @problemes = Array.new
        @problemes_batchs = Array.new
        tmp_batch_par_jour = Hash.new

        # on fait la liste des days
        jours = Jour.all

        # pour chaque day...
        if jours
            jours.each do |jour|

                tmp_batch_par_jour[jour.date] ||= Hash.new
                tmp_batch_par_jour[jour.date][jour.utilisateur_id] ||= 0

                # on vérifie s'il y a au moins une working_list
                working_lists = jour.working_lists
                @problemes << jour if working_lists.count <1

                # on vérifie s'il n'y a pas plus de deux batch
                tmp_batch_par_jour[jour.date][jour.utilisateur_id] += 1
                @problemes_batchs << jour if tmp_batch_par_jour[jour.date][jour.utilisateur_id] > 2
            end
        end
    end


    ################
    # CHECK ADMINS #
    ################
    def check_admins
        @managers = Array.new
        @super_admins = Array.new
        @problems = Array.new
        Utilisateur.all.each do |utilisateur|
            @managers << utilisateur if utilisateur.admin and !utilisateur.profil.admin
            @super_admins << utilisateur if utilisateur.admin and utilisateur.profil.admin
            @problems << utilisateur if !utilisateur.admin and utilisateur.profil.admin
        end
    end


    ##############
    # BACK UP DB #
    ##############
    def backup_db
        current_directory = Dir.pwd
        @current_directory = File.join(current_directory, "backup")
        @old_name = "backup.tar"
        @new_name = "_backup.tar"
        @old_archive_size = 0
        @new_archive_size = 0
        @remove_status = false
        @rename_status = false
        @command_status = false
        @size_status = false
        @old_backup_exists = false
        @backup_exists = false

        #pp "***** Remove old backup *****"
        @remove_status = remove_old_backup
        #pp "***** Rename previous backup *****"
        @rename_status = rename_previous_backup
        #pp "***** Create archive TAR *****"
        tmp = create_archive
        @command_status = (tmp == true) ? true : false
        @command_message = @command_status ? nil : tmp

        #pp "***** Check archive size *****"
        @size_status = check_archive_size
    end

    def download_backup
        backup = params[:backup]
        if backup
            mnt = (Time.now).to_s.gsub(" ", "_")
            send_file(
                "#{backup}",
                filename: "#{mnt}_#{File.basename(backup)}",
                type: "application/tar"
            )
        end
    end


    ###############
    # CHECK USERS #
    ###############
    def check_users
        @problemes = Hash.new
        emails = Array.new
        @pas_profil_utilisateur = Array.new
        @pas_profil_connection = Array.new
        

        # on fait la liste des utilisateurs et des profils de login
        @utilisateurs = Utilisateur.all
        if @utilisateurs
            @utilisateurs.each do |utilisateur|
                emails << utilisateur.email
                @problemes[utilisateur.email] ||= Hash.new
                @problemes[utilisateur.email]["utilisateur"] = utilisateur
            end
        end

        @profiles = User.all
        if @profiles
            @profiles.each do |profile|
                emails << profile.email
                @problemes[profile.email] ||= Hash.new
                @problemes[profile.email]["profile"] = profile
            end
        end

        # pour chaque utilisateur, on vérifie s'il y a au moins un profil
        emails.each do |email|
            if (@problemes[email]["utilisateur"] and @problemes[email]["profile"])
                # Ok, on a deux profils : connection et utilisateur
            else
                # Problème, il manque un des deux profils...

                if (@problemes[email]["utilisateur"] and @problemes[email]["profile"].nil?)
                    # On a un profil utilisateur mais pas de connection
                    @pas_profil_connection << email
                end
                if (@problemes[email]["utilisateur"].nil? and @problemes[email]["profile"])
                    # On a un profil de connection mais pas de profil utilisateur
                    @pas_profil_utilisateur << email
                end
            end
        end
    end


    #################
    #   STATISTICS  #
    #################
    def statistics

        @works = nil

        unless params[:work].blank?

            # Trouve les Works de la base
            @works = Work.where(id: params[:work])
        
            # Trouve la plage de dates
            @date_job_futur = Jour.order(:date).last.date
            @date_job_past = @date_job_futur - 1.year

            # Trouve les Jours qui ont été programmés dans l'intervalle de dates
            jours = Jour.where("date::date >= ?", @date_job_past).order(:utilisateur_id)

            # Trie les jours par utilisateur
            @jours = Hash.new
            jours.each do |jour|
                # Liste des WorkingLists par Jour
                if params[:work].blank?
                    liste = WorkingList.where(jour_id: jour.id)
                else
                    liste = WorkingList.where(jour_id: jour.id, work_id: params[:work])
                end
                liste.each do |wl|
                    @jours[jour.utilisateur] ||= Hash.new
                    @jours[jour.utilisateur][wl.work] ||= 0
                    @jours[jour.utilisateur][wl.work] = @jours[jour.utilisateur][wl.work] + 1
                end
            end
        end    
    end


    # ###############################################################################

    private 


    def remove_old_backup
        @old_backup = File.join(@current_directory, @new_name)
        old_backup_glob = Dir.glob(@old_backup)
        @old_backup_exists = old_backup_glob.size == 1 ? true : false
        # Si l'ancien backup n'existe pas...
            return true unless @old_backup_exists
        # Si l'ancien backup trouvé n'est pas un fichier...
            return true if File.directory?(old_backup_glob.first)
        # Supprime l'ancien backup
            @remove_command = "rm -rf #{@old_backup}"
            retour = File.delete(@old_backup)
            #retour = nil
            return true if retour == 1
        remove_old_backup = false
    end


    def rename_previous_backup
        @backup = File.join(@current_directory, @old_name)
        backup_glob = Dir.glob(@backup)
        @backup_exists = backup_glob.size == 1 ? true : false
        # Si le backup n'existe pas...
            return true unless @backup_exists
        # Si le backup trouvé n'est pas un fichier...
            return true if File.directory?(backup_glob.first)
        # Renomme le backup
            @rename_command = "mv #{@backup} #{@old_backup}"
            #retour = nil
            retour = File.rename(@backup, @old_backup)
            return true if retour == 0
        rename_previous_backup = false
    end


    def create_archive

        # Ligne ENV
        dest = File.join(ENV['BCK_DB_TAR_DST'], "backup.tar")
        @tar_command = "#{ENV['BCK_DB_TAR_CMD']} > #{dest}"
        
        #retour = IO.popen(@tar_command, in: :in)
        retour = IO.popen(@tar_command, :err=>[:child, :out])

        msg = retour.readlines
        retour.close
        boucle_temporelle
        create_archive = (File.exist?(@backup) and $?.success?) ? true : msg
    end


    def boucle_temporelle
        time = @konfiguration[:tools_backup_db_loop_length] ? "#{@konfiguration[:tools_backup_db_loop_length]}".to_i : 5
        time_start = Time.now
        begin      
            time_running = Time.now - time_start
            # Boucle temporelle qui laisse le temps au système de créer l'archive.
            tri = time_running.to_i
        end until (tri >= time)
    end


    def check_archive_size
        @old_archive_size = File.size?(@old_backup)
        @new_archive_size = File.size?(@backup)
        check_archive_size = (!@new_archive_size.nil? and !@old_archive_size.nil?) ? (@new_archive_size >= @old_archive_size) : false
    end
end

app/views/tools/backup_db.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">construction</i>
            <%= I18n.t("tools.backup_db.titre").upcase %>
        </span>
    </h1>
    </div>
</div>

<div class="container">

    <div class="row <%= "text-danger" unless @remove_status %> <%= "text-success" if @remove_status %>">
        <h3>Remove old backup</h3>
        <div class="col-sm-10">
            <ul>
                <li>Current directory : <kbd><%= @current_directory %></kbd></li>
                <li>Old backup : <kbd><%= @old_backup %></kbd></li>
                <% if @old_backup_exists %>
                    <li>Command : <code><%= @remove_command %></code></li>
                <% else %>
                    <p><i>No previous backup found.</i></p>
                <% end %>
            </ul>
        </div>
        <div class="col-sm-2">
            <p>
                Status : 
                <% if @remove_status %>
                    <span class="text-success material-icons">check_circle</span>
                <% else %>
                    <span class="text-danger material-icons">cancel</span>
                <% end %>
            </p>
        </div>
    </div>

    <div 
        class="row 
            <%= @remove_status ? @rename_status ? "text-success" : "text-danger" : "text-muted" %>
        ">
        <h3>Rename old archive</h3>
        <div class="col-sm-10">
            <ul>
                <li>Old name : <kbd><%= @old_name %></kbd></li>
                <li>New name : <kbd><%= @new_name %></kbd></li>
                <% if @backup_exists %>
                    <li>Command : <code><%= @rename_command %></code></li>
                <% else %>
                    <p><i>No backup found.</i></p>
                <% end %>
            </ul>
        </div>
        <div class="col-sm-2">
            <p>
                Status : 
                <% if @rename_status %>
                    <span class="text-success material-icons">check_circle</span>
                <% else %>
                    <span class="text-danger material-icons">cancel</span>
                <% end %>
            </p>
        </div>
    </div>

    <div 
        class="row 
            <%= @rename_status ? @command_status ? "text-success" : "text-danger" : "text-muted" %>
        ">
        <h3>Create new archive</h3>
        <div class="col-sm-10">
            <p>Command : <code><%= @tar_command %></code></p>
            <% unless @command_status %>
                <p class="bg-primary"><%= @command_message %></p>
            <% end %>
        </div>
        <div class="col-sm-2">
            <p>
                Status : 
                <% if @command_status %>
                    <span class="text-success material-icons">check_circle</span>
                <% else %>
                    <span class="text-danger material-icons">cancel</span>
                <% end %>
            </p>
        </div>
    </div>
    
    <div 
        class="row 
            <%= @command_status ? @size_status ? "text-success" : "text-danger" : "text-muted" %>
        ">
        <h3>Check new archive</h3>
        <div class="col-sm-10">
            <ul>
                <li>Old archive's size : <kbd><%= @old_archive_size %></kbd></li>
                <li>New archive's size : <kbd><%= @new_archive_size %></kbd></li>
            </ul>
        </div>
        <div class="col-sm-2">
            <p>
                Status : 
                <% if @size_status %>
                    <span class="text-success material-icons">check_circle</span>
                <% else %>
                    <span class="text-danger material-icons">cancel</span>
                <% end %>
            </p>
        </div>
    </div>

    <div
        class="row 
            <%= @size_status ? "text-info" : "text-muted" %>
        ">
        <h3>Download backup</h3>
        <div class="col-sm-10">
            <% if @rename_status and @command_status and @size_status %>
                <p class="text-success">
                    Everything seems to be fine. You can try to download the archive.
                </p>
            <% else %>
                <p class="text-danger">
                    <strong>One problem or more. Please contact administrator.</strong>
                </p>
            <% end %>
        </div>
        <div class="col-sm-2">
            <% if @rename_status and @command_status and @size_status %>
                <a href="<%= download_backup_path(backup: @backup) %>" class="btn btn-success btn-xs" role="button"><span class="material-icons">get_app</span></a>
            <% end %>
        </div>
    </div>

</div>

<hr>
<div class="container">
    <a href=<%= tools_path %> class="btn btn-info" role="button">
        <<
    </a>
</div>

app/views/tools/check_admins.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">construction</i>
            <%= I18n.t("tools.check_admins.titre").upcase %>
        </span>
    </h1>
    </div>
</div>

<div class="container">
    <div class="panel panel-success">
        <div class="panel-heading"><%= I18n.t("tools.check_admins.super_admins") %></div>
        <div class="panel-body">
            <% @super_admins.each do |su| %>
                <span class="label label-success"><%= su.prenom_nom %></span>
                &nbsp;&nbsp;&nbsp;
            <% end %>
        </div>
    </div>
    <div class="panel panel-info">
        <div class="panel-heading"><%= I18n.t("tools.check_admins.manager") %></div>
        <div class="panel-body">
            <% @managers.each do |ma| %>
                <span class="label label-info"><%= ma.prenom_nom %></span>
                &nbsp;&nbsp;&nbsp;
            <% end %>
        </div>
    </div>

    <div class="panel panel-warning">
        <div class="panel-heading"><%= I18n.t("tools.check_admins.problems") %></div>
        <div class="panel-body">

            <% if @super_admins.count < 1 %>
                <span class="label label-danger">
                    <%= I18n.t("tools.check_admins.no_super_admin") %>
                </span>
            <% end %>

            <% @problems.each do |pr| %>
                <span class="label label-warning"><%= pr.prenom_nom %></span>
                &nbsp;&nbsp;&nbsp;
            <% end %>
        </div>
    </div>
    
</div>
<hr>
<div class="container">
    <a href=<%= tools_path %> class="btn btn-info" role="button">
        <<
    </a>
</div>

app/views/tools/check_days.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">construction</i>
            <%= I18n.t("tools.check_days.titre").upcase %>
        </span>
    </h1>
    </div>
</div>

<!-- WORKING LIST PROBLEMS -->
<div class="container">
    <span class="label label-warning">WORKING LISTS</span><br>
    <% if @problemes.count > 0 %>
        <% @problemes.each do |jour| %>
            <span id="jour_<%= jour.id %>">
                <%= jour.numero_semaine %> | 
                <%= jour.date %> | 
                <%= am_pm(jour.am_pm) %> | 
                <%= jour.service.nom %> | 
                <%= jour.utilisateur.prenom_nom %> |
                Works : <%= jour.works? %>
                &nbsp;&nbsp;&nbsp;
                <%= link_to '<span data-toggle="tooltip" >
                    <i class="material-icons">edit</i></span>'.html_safe, 
                    edit_jour_path(jour),
                    class: "btn btn-warning btn-xs" 
                %>
                <%= link_to '<span data-toggle="tooltip" >
                    <i class="material-icons">close</i>'.html_safe, 
                    jour_path(jour),
                    method: :delete,
                    remote: true,
                    data: { confirm: "Delete #{jour.date}  ?" },
                    class: "btn btn-danger btn-xs" 
                %>
                <hr>
            </span>
        <% end %>
    <% else %>
        No problem found.
    <% end %>
</div>
<hr>

<!-- BATCHS PROBLEMS -->
<div class="container">
    <span class="label label-warning">BATCHS</span><br>
    <% if @problemes_batchs.count > 0 %>
        <% @problemes_batchs.each do |jour| %>
            <span id="jour_<%= jour.id %>">
                <%= jour.numero_semaine %> | 
                <%= jour.date %> | 
                <%= jour.utilisateur.prenom_nom %> |
                &nbsp;&nbsp;&nbsp;
                Too much batches this day for this user
                <hr>
            </span>
        <% end %>
    <% else %>
        No problem found.
    <% end %>
</div>

<hr>
<div class="container">
    <a href=<%= tools_path %> class="btn btn-info" role="button">
        <<
    </a>
</div>

app/views/tools/exports.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">construction</i>
            <%= I18n.t("tools.exports.titre").upcase %>
        </span>
    </h1>
    </div>
</div>


<div class="container">

    <h3>Export into Json Format :</h3>

    <div class="row">
        <div class="col-sm-4">
            <h4>LogBook</h4>
            <p></p>
            <a href=<%= logbook_articles_json_path %> class="btn btn-default" role="button">
                Logbook articles
            </a>
        </div>
        
        <div class="col-sm-4">
            <h4>LogBook</h4>
            <p></p>
        </div>
    </div>
</div>

<hr>
<div class="container">
    <a href=<%= tools_path %> class="btn btn-info" role="button">
        <<
    </a>
</div>

app/views/tools/index.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">construction</i>
            <%= I18n.t("tools.index.titre").upcase %>
        </span>
    </h1>
    </div>
</div>

<% if user_signed_in? && is_super_admin? %>
    <% session[:page_aide] = "tools" %>
    <div class="container">
        <div class="row">


            <!-- DAYS -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.check_days.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.check_days.description") %></p>
                    <a href=<%= check_days_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.check_days.titre").downcase %>
                    </a>
                </article>
            </div>


            <!-- USERS -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.check_users.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.check_users.description") %></p>
                    <a href=<%= check_users_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.check_users.titre").downcase %>
                    </a>
                </article>
            </div>


            <!-- ADMINS -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.check_admins.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.check_admins.description") %></p>
                    <a href=<%= check_admins_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.check_admins.titre").downcase %>
                    </a>
                </article>
            </div>


            <!-- CALCULATE -->

            <div class="col-sm-3">
                <article>
                    <h3>Calculate</h3>
                    <p></p>
                    <a href=<%= calculate_path %> class="btn btn-info" role="button">
                        calculate
                    </a>
                </article>
            </div>


        </div>
        <br>
        <hr>
        <div class="row">


            <!-- BACKUP DB -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.backup_db.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.backup_db.description") %></p>
                    <p><span class="bg-info">Note</span> : <i><%= I18n.t("tools.backup_db.time") %></i></p>
                    <a href=<%= backup_db_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.back_up.titre").downcase %>
                    </a>
                </article>
            </div>

            <!-- EXPORTS -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.exports.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.exports.description") %></p>
                    
                    <a href=<%= exports_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.exports.titre").downcase %>
                    </a>
                </article>
            </div>

            <!-- CONFIGURE -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.konfigure.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.konfigure.description") %></p>
                    <a href=<%= konfigurations_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.konfigure.titre").downcase %>
                    </a>
                </article>
            </div>

            <!-- STATISTICS -->

            <div class="col-sm-3">
                <article>
                    <h3><%= I18n.t("tools.statistics.titre").capitalize %></h3>
                    <p><%= I18n.t("tools.statistics.description") %></p>
                    <a href=<%= statistics_path %> class="btn btn-info" role="button">
                        <%= I18n.t("tools.statistics.titre").downcase %>
                    </a>
                </article>
            </div>

        </div>
        <br>
    </div>
<% else %>
    <div class="container"><% session[:page_aide] = "" %></div>
<% end %>

app/views/tools/statistics.html.erb
<div class="container">
    <div class="page-header">
    <h1>
        <span class="label label-warning">
            <i class="material-icons">analytics</i>
            <%= I18n.t("tools.statistics.titre").upcase %>
        </span>
    </h1>
    </div>
</div>

<!-- Formulaire sélection du Work -->
<div class="container">
    <form action="<%= statistics_path %>" method="get">
        <p>
            <label for="work">Work: </label>
            <select name="work" id="work">
                <option value="">
                <% Work.order(:service_id, :classe_id, :code).each do |work| %>
                    <option value="<%= work.id %>" 
                        <% if params[:work].to_i == work.id %>
                            selected="selected"
                        <% end %>
                    >
                    <%=work.nom %> (<%= work.code %>)
                    </option>
                <% end %>
            </select>
        </p>
        <input name="commit" type="submit" value="Search">
    </form>
</div>

<hr>

<p>Plage de dates : <%= @date_job_past %> / <%= @date_job_futur %></p>

<% unless @works.nil? %>

    <table class="table table-bordered table-striped grille">
        <tr>
            <th>Utilisateurs</th>
            <% @works.each do |work| %>
                <% if params[:work].blank? %>
                    <th><%= work.code %></th>
                <% else %>
                    <th><%= work.nom %> (<%= work.code %>)</th>
                <% end %>
            <% end %>
        </tr>
        
        <% @jours.keys.each do |utilisateur| %>
            <tr class="ligne">
                <td class="nom_utilisateur"><%= utilisateur.prenom_nom %></td>
                <% @works.each do |work| %>
                    <td><%= @jours[utilisateur][work] %></td>
            <% end %>
            </tr>
        <% end %>
        
        <tr class="ligne">
            <td class="nom_utilisateur"></td>
            <td></td>
            <td></td>
            <td></td>
        </tr>

    </table>
<% end %>